Bug 130763 - up2date hangs when mirror gives connection refused
up2date hangs when mirror gives connection refused
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-08-24 10:26 EDT by Gary Reuter
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 11:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Reuter 2004-08-24 10:26:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:

The mirror mirror.eas.muohio.edu is currently refusing connections.
When up2date is run and it fetches the "headers.info" files from
various mirrors, if one which is refusing connections is used, up2date
hangs.
The dialog displays the full URL and the progress bar shows complete,
but nothing else ever happens.  Progress dialog must be closed.

up2date should try a different mirror if one fails.
There should be a way to blacklist certain mirrors.


Version-Release number of selected component (if applicable):
up2date-4.3.19-1

How reproducible:
Always

Steps to Reproduce:
1. relaunch up2date until the 'channel information' for federa-core-2
shows "http://mirror.eas.muohio.edu/pub/fedora/2/i386/os/"
2. click 'forward'
    

Actual Results:  Progress dialog hangs displaying mirror.eas.muohio.edu...

Expected Results:  Should not hang -- should display message that
mirror refused connection and will try another.

Additional info:
Comment 1 Nicolas Troncoso Carrere 2004-09-28 15:12:06 EDT
Actualy up2date crashes if any of its resources is not available.
Comment 2 Matthew Miller 2005-04-26 12:10:04 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 David Lawrence 2006-04-18 16:36:44 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 4 John Thacker 2006-04-22 11:08:52 EDT
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.

Note You need to log in before you can comment on or make changes to this bug.